Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.wml
Interface WMLElement

All Superinterfaces:
  Element, Node

All Known Subinterfaces:
  WMLAccessElement, WMLAElement, WMLAnchorElement, WMLBElement, WMLBigElement, WMLBrElement, WMLCardElement, WMLDoElement, WMLEmElement, WMLFieldsetElement, WMLGoElement, WMLHeadElement, WMLIElement, WMLImgElement, WMLInputElement, WMLMetaElement, WMLNoopElement, WMLOneventElement, WMLOptgroupElement, WMLOptionElement, WMLPElement, WMLPostfieldElement, WMLPrevElement, WMLRefreshElement, WMLSelectElement, WMLSetvarElement, WMLSmallElement, WMLStrongElement, WMLTableElement, WMLTdElement, WMLTemplateElement, WMLTimerElement, WMLTrElement, WMLUElement, WMLWmlElement

All Known Implementing Classes:
  WMLAccessElementImpl, WMLAElementImpl, WMLAnchorElementImpl, WMLBElementImpl, WMLBigElementImpl, WMLBrElementImpl, WMLCardElementImpl, WMLDoElementImpl, WMLElementImpl, WMLEmElementImpl, WMLFieldsetElementImpl, WMLGoElementImpl, WMLHeadElementImpl, WMLIElementImpl, WMLImgElementImpl, WMLInputElementImpl, WMLMetaElementImpl, WMLNoopElementImpl, WMLOneventElementImpl, WMLOptgroupElementImpl, WMLOptionElementImpl, WMLPElementImpl, WMLPostfieldElementImpl, WMLPrevElementImpl, WMLRefreshElementImpl, WMLSelectElementImpl, WMLSetvarElementImpl, WMLSmallElementImpl, WMLStrongElementImpl, WMLTableElementImpl, WMLTdElementImpl, WMLTemplateElementImpl, WMLTimerElementImpl, WMLTrElementImpl, WMLUElementImpl, WMLWmlElementImpl

public interface WMLElement
extends Element

The interface is modeled after DOM1 Spec for HTML from W3C. The DTD used in this DOM model is from http://www.wapforum.org/DTD/wml_1.1.xml

All WML Elements are derived from this class that contains two core attributes defined in the DTD.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getClassName()`
`String` | `getId()`
`void` | `setClassName(String newValue)` The 'class' attribute of a element that affiliates an elements with one or more elements.
`void` | `setId(String newValue)` The element's identifier which is unique in a single deck.

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### getClassName

    public String getClassName()

### getId

    public String getId()

### setClassName

    public void setClassName(String newValue)

  The 'class' attribute of a element that affiliates an elements with one or more elements. (Section 8.9, WAP WML Version 16-Jun-1999)

### setId

    public void setId(String newValue)

  The element's identifier which is unique in a single deck. (Section 8.9, WAP WML Version 16-Jun-1999)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD